Name: quarticurve-kwin-theme
Version: 0.0
Release: 0.8.beta4%{?dist}
URL: http://www.kde-look.org/content/show.php/Quarticurve-KWin+(for+KDE+4)?content=59972
# downloadable from URL above
Source: quarticurve-kwin-beta4.tar.bz2
Group: User Interface/Desktops
License: GPLv2
BuildRequires: qt4-devel >= 4.3.0
BuildRequires: qimageblitz-devel
BuildRequires: kde-filesystem
BuildRequires: kdelibs4-devel >= 3.96.0
BuildRequires: kdebase-workspace-devel >= 3.96.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: bluecurve-kwin-theme < 1.1

Summary: Unofficial port of the Bluecurve KWin decoration to KDE 4
%description
Quarticurve-KWin is an unofficial port of Red Hat's Bluecurve KWin 3 decoration
to KDE 4.

%prep
%setup -q -n quarticurve-kwin-beta4

%build
CXXFLAGS="$RPM_OPT_FLAGS" qmake-qt4
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_kde4_libdir}/kde4/kwin3_quarticurve.so
%{_kde4_appsdir}/kwin/quarticurve.desktop
%doc COPYING ChangeLog readme.txt

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.8.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.7.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.6.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 6 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.0-0.5.beta4
- Update to beta 4:
  - fixes title bar not being drawn with Qt 4.4
  - fixes the context help button
- Drop sed hack for _kde4_appsdir, fixed upstream.

* Sat Feb 9 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.0-0.4.beta3
- Rebuild for GCC 4.3.

* Sat Jan 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.0-0.3.beta3
- Use versioned Obsoletes.

* Wed Jan 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.0-0.2.beta3
- Use shorter package name.
- Cleanup description.

* Mon Dec 17 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.0-0.1.beta3
- First Fedora RPM.
